Subject: Re: [siprec] comments on draft-ietf-siprec-req-02 REQ-021

From: Leon Portman <[email-masked]>
Date: Tue, 2 Nov 2010 19:23:59 +0200

Paul, Hi

No, I am not concerned about storage. I just don't want to have multiple metadata protocol elements.
But we are now understanding each other.

I don't have a problem with the removing of the requirement but we should have very good reason fo introducing any metadata in transport dependences

Regards

Leon

----- Original Message -----
From: Paul Kyzivat <[email-masked]>
To: Leon Portman
Cc: Elwell, John <[email-masked]>; [email-masked] <[email-masked]>
Sent: Tue Nov 02 19:19:03 2010
Subject: Re: [siprec] comments on draft-ietf-siprec-req-02 REQ-021

On 11/2/2010 11:42 AM, Leon Portman wrote:
> Paul, Hi
>
> I agree that metadata is transport specific in relation to the transport layer of CS like the codec example.
> But I am still missing the point why the actual format of metadata should be dependent on over which transport protocol we will send it?

My point is that if SRS can gather the codec information directly from 
its native form in the SDP of the sip signaling it gets from the SRC, 
then there is no need to send/encode it some other way. I'm assuming 
that probably the codec info that is exchanged on CS is the same as what 
is exchanged on RS.

*If* the codec info exchanged on the CS might be *different* from the 
codec info on the RS, and its necessary to pass that info to the SRS via 
some sort of *explicit* metadata exchange, then having it be transport 
agnostic would make sense to me.

It sounds like you are concerned with how the SRS encodes it for storage 
after it receives it. But we aren't defining that.

	Thanks,
	Paul

> Leon
>
> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Tuesday, November 02, 2010 5:37 PM
> To: Leon Portman
> Cc: Elwell, John; [email-masked]
> Subject: Re: [siprec] comments on draft-ietf-siprec-req-02 REQ-021
>
> Leon,
>
> Your response is still not to the point. Specifically, if there is some
> information that we want to retain as metadata, which is "naturally"
> available via sip signaling between SRC and SRS, but which then is
> "transport specific", do we need to define some other transport-agnostic
> way to send it?
>
> Consider the codec info that is naturally available in the SDP between
> SRC and SRS. Do we need to define some other way to send that, which is
> transport agnostic? And if so, do we need to use that way?
>
> ISTM that we only need to be transport agnostic while we are gathering
> the detailed requirements on what needs to be conveyed. Once we get down
> to selecting the transport mechanism for each bit of the metadata, I
> think we no longer need to be transport agnostic.
>
> The situation may be different for *retrieving* metadata. But that is
> out of scope for now.
>
> 	Thanks,
> 	Paul
>
> On 11/2/2010 10:59 AM, Leon Portman wrote:
>> Actually the drive for this requirement was that metadata can be delivered via different transport protocols: SIP INVITE, Subscribe/notify, Info, HTTP, etc. It does not relates to actual transport protocol of CS.
>>
>> And we wanted that metadata definition (xml schema) will be agnostic to Metadata transport and not CS or RS transport
>> May be we should phrase it like this:
>>
>> REQ-021 Metadata format must be agnostic of the metadata transport protocol
>>
>> Leon
>>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of Elwell, John
>> Sent: Tuesday, November 02, 2010 4:47 PM
>> To: Paul Kyzivat; [email-masked]
>> Subject: Re: [siprec] comments on draft-ietf-siprec-req-02 REQ-021
>>
>> I didn't see any response to this, and the requirement still exists in -04. Can we delete REQ-021?
>>
>> John
>>
>>> -----Original Message-----
>>> From: [email-masked]
>>> [mailto:[email-masked]] On Behalf Of Paul Kyzivat
>>> Sent: 28 September 2010 14:34
>>> To: [email-masked]
>>> Subject: [siprec] comments on draft-ietf-siprec-req-02 REQ-021
>>>
>>>> REQ-021 Metadata format must be agnostic of the transport protocol.
>>>
>>>
>>> IMO this requirement is dubious or at least requires clarification.
>>>
>>> Is the goal that the metadata *as stored* by the SRS must be
>>> agnostic to
>>> transport? Or is it that that encoding of the metadata *when
>>> transmitted* to the SRS must be encoded in a transport agnostic way?
>>>
>>> Some of the metadata will be most naturally gathered
>>> opportunistically
>>> from the transport. For instance codec information. That
>>> would make it
>>> non-agnostic to the transport.
>>>
>>> 	Thanks,
>>> 	Paul
>>> _______________________________________________
>>> siprec mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/siprec
>>>
>> _______________________________________________
>> siprec mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/siprec
>>
>